# $Revision: 1.3.2.1 $, $Date: 2003/03/13 00:58:05 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	LinearCombination
Summary:	Math::LinearCombination - sum of variables with a numerical coefficient
Summary(pl):	Math::LinearCombination - suma zmiennych ze wspczynnikami liczbowymi
Name:		perl-Math-LinearCombination
Version:	0.03
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Math-SimpleVariable >= 0.03
BuildRequires:	rpm-perlprov >= 4.0.2-104
Requires:	perl-Math-SimpleVariable >= 0.03
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::LinearCombination is a module for representing mathematical
linear combinations of variables, i.e. expressions of the format

  a1 * x1 + a2 * x2 + ... + an * xn

with x1, x2, ..., xn variables, and a1, a2, ..., an numerical
coefficients. Evaluation and manipulation of linear combinations is
also supported. The numerical coefficients a_i and variables x_i are
stored as pairs in an internal data structure and should not be
manipulated directly. All access and manipulation should be performed
through the methods.
  
%description -l pl
Math::LinearCombination to modu sucy do reprezentowania
matematycznych kombinacji liniowych zmiennych, czyli wyrae w postaci

  a1 * x1 + a2 * x2 + ... + an * xn

gdzie x1, x2, ... xn to zmienne, a a1, a2, ... an to liczbowe
wspczynniki. Obsugiwane jest take obliczanie wartoci i
manipulowanie kombinacjami liniowymi. Wspczynniki liczbowe a_i oraz
zmienne x_i s zapisywane jako pary w wewntrznej strukturze danych i
nie powinny by modyfikowane ani odczytywane bezporednio, lecz przez
udostpnione metody.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Math/LinearCombination.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Math-LinearCombination.spec,v $
Revision 1.3.2.1  2003/03/13 00:58:05  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:41:01  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:45  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/07 22:59:14  qboosh
- new

